Subject: Re: [PATCH RESEND] ipv6: return with appropriate error code when sending RH0 using setsockopt()

From: Shan Wei <[email-masked]>
Date: Wed, 03 Sep 2008 17:41:31 +0800

David Miller 写道:
> From: Shan Wei <[email-masked]>
> Date: Wed, 03 Sep 2008 16:41:06 +0800
> 
>>  I'm sorry to resend the patch, for that no one replied it from Jun 27.
>>
>>  The kernel had removed the RH0(Type 0 Routing Header), but we can still
>>  send IPv6 packet with RH0 using sendmsg() or setsockopt().
>>
>>  Compare with sendmsg() that returns EINVAL, but setsockopt() return EPERM.
>>  The patch fix it.
>>
>> Signed-off-by: Shan Wei <[email-masked]>
> 
> I've tried to defer IPV6 patches that have semantic issues to an
> expert such as Yoshifuji-san, but he has dropped off the face of the
> planet for a while.
> 
> I'll take a look at this if I get a chance.
> 
thanks for your so fast reply。
I'm patient to wait for your ack.